Subject: bug#1529: [emacs-snapshot/master] Changelog entry for 20090411-1

From: Michael Albinus <[email-masked]>
Date: Wed, 15 Apr 2009 11:24:59 +0200

Reinhard Tartler <[email-masked]> writes:

> I'm attaching my local emacs configuration to this email. My ~/.emacs
> file is a symlink to the 'emacs' file in the top level directory of the
> archive. The funny thing is: If I start emacs with -Q to avoid loading
> the environment, and M-x eval-current-buffer on the file 'emacs' then
> tramp continues to work.

You have a file "tramp.el" in your private lisp directory. Likely this
directory comes *before* the directory the real tramp.el is located.

When you open a file, Tramp tries to be autoloaded. It finds *your*
tramp.el; therefore autoload fails (and it tries it again and again, I
guess).

Please rename your private tramp.el to something different.

Best regards, Michael.